Subject: Re: bug#619: elogind crashes with needrestart's defaults

From: Rene Kita <[email-masked]>
Date: Mon, 18 Oct 2021 21:16:16 +0200

On Mon, Oct 18, 2021 at 06:31:48PM +0100, Mark Hindley wrote:
> Rene,
> 
> On Mon, Oct 18, 2021 at 03:59:53PM +0200, Rene Kita wrote:
> > > Hmmm. Can you verify that
> > >
> > >  sudo service elogind restart
> > >
> > > works without crashing your GUI?
> > # service elogind restart
> > 
> > crashes the GUI. And I have to use Magic SysRq with 'r' command to get
> > my keyboard back. I tested this on two different laptops.
> 
> OK, that is unexpected. I can't reproduce that behaviour.
> 
> What desktop are you using?
i3 with i3-status and dmenu, started with 'startx'.

> 
> > >
> > > That should be OK since about 239.3
> > >
> > > Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> > > start from ASCII and miss out Beowulf?
> > At least on one machine I did start out from Beowulf. Another one was
> > installed from the Chimaera Alpha installer.
> > I only use the elogind version from the repos and do not skip any updates.
> 
> And they all show the same behaviour?
Yes. I can reproduce it on 3 different laptops, which all have the same
setup, though.

> 
> I have tried xfce and openbox on both chimaera and beowulf and
> 
>  sudo service elogind restart
> 
> restarts elogind without crashing the current GUI.
> 
> Mark
Rene